VERSION 5.00
Begin VB.Form frmOutputMonitor 
   Caption         =   "Channel Output"
   ClientHeight    =   2805
   ClientLeft      =   60
   ClientTop       =   690
   ClientWidth     =   7530
   ForeColor       =   &H00C00000&
   Icon            =   "output.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2805
   ScaleWidth      =   7530
   Begin VB.PictureBox Picture1 
      Height          =   1920
      Left            =   45
      ScaleHeight     =   1860
      ScaleWidth      =   7335
      TabIndex        =   5
      Top             =   420
      Width           =   7395
   End
   Begin VB.HScrollBar HScroll1 
      Height          =   210
      Left            =   60
      TabIndex        =   4
      Top             =   2610
      Visible         =   0   'False
      Width           =   7485
   End
   Begin StageConsole.ProgBar ProgBar 
      Height          =   1695
      Index           =   0
      Left            =   60
      Top             =   420
      Width           =   195
      _ExtentX        =   344
      _ExtentY        =   2990
      Vertical        =   -1  'True
      Max             =   255
   End
   Begin VB.Label lblOut 
      Height          =   195
      Left            =   810
      TabIndex        =   3
      Top             =   75
      Width           =   11190
   End
   Begin VB.Label lblMode 
      Caption         =   "Device:"
      Height          =   240
      Left            =   75
      TabIndex        =   2
      Top             =   60
      Width           =   585
   End
   Begin VB.Label lblLevel 
      Alignment       =   1  'Right Justify
      Caption         =   "0"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   6.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00C00000&
      Height          =   195
      Index           =   0
      Left            =   60
      TabIndex        =   1
      Top             =   2220
      Width           =   195
   End
   Begin VB.Label lblChan 
      Caption         =   "Label1"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   6.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Index           =   0
      Left            =   60
      TabIndex        =   0
      Top             =   2460
      Width           =   195
   End
   Begin VB.Menu mnuView 
      Caption         =   "View"
      Begin VB.Menu mnuDeviceOutput 
         Caption         =   "Device Output"
         Checked         =   -1  'True
      End
      Begin VB.Menu mnuDMXvalues 
         Caption         =   "DMX values"
      End
   End
   Begin VB.Menu mnuLayout 
      Caption         =   "Layout"
      Begin VB.Menu mnuBargraph 
         Caption         =   "Bargraph"
         Checked         =   -1  'True
      End
      Begin VB.Menu mnuNumeric 
         Caption         =   "Numeric"
      End
   End
End
Attribute VB_Name = "frmOutputMonitor"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim LayoutStyle As String
Private Sub Form_Load()
LayoutStyle = "Bargraph"
drawBargraph
End Sub
Sub update()
' update the dipslayed output values

Dim i, percentLevel, dmxLevel, row, col, rowsHeight, rowcol As Integer
Select Case LayoutStyle
Case "Bargraph"
    For i = 0 To numChannels - 1
        percentLevel = Int(dmxdata(i + 1) / 2.55)
        ProgBar(i).Value = dmxdata(i + 1)
        If mnuDMXvalues.Checked = True Then
            lblLevel(i) = dmxdata(i + 1)
        Else
            lblLevel(i) = percentLevel
        End If
    Next i
Case "Numeric"
    Picture1.Cls
    rowsHeight = Int((Me.Height - 500) / 200)
    If rowsHeight > 51 Then rowsHeight = 51
    Print: Print

    For col = 0 To 9
        Picture1.Print Tab((8 * col) + 8);
        Picture1.Print col;
    Next col
    Picture1.Print
    Picture1.Print " -----------------------------------------------------------------------------------------------------------------------------------"
    For row = 0 To rowsHeight
        If row <> 0 Then
            Picture1.FontBold = True
            Picture1.Print row * 10 & ":";
            Picture1.FontBold = False
        End If
        For col = 0 To 9
            rowcol = (row * 10) + col
            If Not ((rowcol = 0) Or (rowcol > 512)) Then
                dmxLevel = dmxdata(rowcol)
                percentLevel = Int(dmxLevel / 2.55)
                Picture1.Print Tab((8 * col) + 8);
                If mnuDMXvalues.Checked = True Then
                    Picture1.Print dmxLevel;
                Else
                    Picture1.Print percentLevel;
                End If
             End If
        Next col
        Picture1.Print
    Next row
End Select
End Sub
Sub hideBargraph()
Dim i As Integer
For i = 0 To numChannels - 1
 
 ProgBar(i).Visible = False
 lblLevel(i).Visible = False
 lblChan(i).Visible = False

Next i
End Sub
Sub drawBargraph()
Dim myWidth As Long
Dim i, n As Integer
' display indicators for the number of channels
Picture1.Visible = False
For i = 1 To numChannels - 1
 Load ProgBar(i)      ' Create new progress bar
 ProgBar(i).Visible = True
 ProgBar(i).Vertical = True
 ProgBar(i).Left = ProgBar(0).Left + (i * 240)
 Load lblLevel(i)
 lblLevel(i).Visible = True
 lblLevel(i).Left = ProgBar(0).Left + (i * 240)
 Load lblChan(i)
 lblChan(i).Visible = True
 lblChan(i).Left = ProgBar(0).Left + (i * 240)

Next i

myWidth = CLng(numChannels + 1) * 240
' force width of window to be less than the width of the screen
If myWidth > Screen.Width Then
   Me.Width = Screen.Width
Else
   Me.Width = myWidth
End If


' label the channels
For n = 0 To numChannels - 1
    lblChan(n).Caption = Str$(n + 1)
Next n
End Sub

Private Sub Form_Resize()
' show Hscrollbar?
Dim myWidth As Long
myWidth = CLng(numChannels + 1) * 240
Picture1.Height = Me.Height - 500
If myWidth > Me.Width Then
    HScroll1.Visible = True
    HScroll1.Width = Me.Width - 200
Else
    HScroll1.Visible = False

End If
update
End Sub
Private Sub mnuBargraph_Click()

    mnuBargraph.Checked = True
    mnuNumeric.Checked = False
    LayoutStyle = "Bargraph"
    Cls
    drawBargraph
    update
End Sub
Private Sub mnuNumeric_Click()
   mnuNumeric.Checked = True
   mnuBargraph.Checked = False
   LayoutStyle = "Numeric"
   hideBargraph
   Picture1.Visible = True
   update
End Sub

Private Sub mnuDeviceOutput_Click()
If mnuDeviceOutput.Checked Then
    mnuDeviceOutput.Checked = False
    lblOut.Caption = ""
Else
    mnuDeviceOutput.Checked = True
End If
End Sub

Private Sub mnuDMXvalues_Click()
If mnuDMXvalues.Checked Then
    mnuDMXvalues.Checked = False
    Me.Caption = "Output (Percentage levels)"
Else
    mnuDMXvalues.Checked = True
    Me.Caption = "Output (DMX levels)"
End If
End Sub


